#!/bin/sh

DELE_DIR=/root/debs-deleted


if [ ! $# -eq 1 ]; then
	echo "Errore di sintassi, utilizzo:"
	echo "$0 <nomedirectory>"
	exit 1
fi

#set -x
dpkg-scanpackages $1 /dev/null 2> to-delete | gzip > $1/Packages.gz
mv `grep -e "used that one and ignored data from" to-delete |awk '{print $8}'` $DELE_DIR &> /dev/null
mv `grep -e "repeat;" to-delete | awk '{print $5}'| tr -d \)` $DELE_DIR &> /dev/null
rm to-delete

echo "Old packages moved in $DELE_DIR"

mv $DELE_DIR/*i386.deb $DELE_DIR/i386/
mv $DELE_DIR/*all.deb $DELE_DIR/all/
mv $DELE_DIR/*powerpc.deb $DELE_DIR/powerpc/

